Subject: generic LRO in the net core stack?

From: Brice Goglin <[email-masked]>
Date: Tue, 05 Dec 2006 18:51:25 +0100

Hi,

About 2 month ago, I sent a patchset to implement software LRO in
myri10ge. People replied that it might be time to implement something
generic in the net core stack instead since it was the second driver to
do so. We completely agree with this. But, I haven't heard back from
this idea since then, so I was wondering whether somebody is actually
working on it.

If not, I'd like to get our LRO code merged anyway since our driver have
been missing this important feature for a very long time already. We
would drop it later when something generic will be available.

FYI, our myri10ge LRO patch is not intrusive in the driver. It would be
very easy to revert since it only adds lines but does not modify or
remove any single one (see
http://www.mail-archive.com/[email-masked]/msg23133.html).

thanks,
Brice